Draft Drawing/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "# Selectați obiectele pe care doriți să le puneți pe o foaie de desen # Apasă pe {{KEY|16px Draft Drawing}} button")
(Created page with "== Opţiuni ==")
Line 13: Line 13:
# Apasă pe {{KEY|[[Image:Draft Drawing.png|16px]] [[Draft Drawing]]}} button
# Apasă pe {{KEY|[[Image:Draft Drawing.png|16px]] [[Draft Drawing]]}} button


==Options==
== Opţiuni ==


* Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the [[Draft Module|Draft]] or [[Sketcher Workbench|Sketcher]] modules.
* Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the [[Draft Module|Draft]] or [[Sketcher Workbench|Sketcher]] modules.

Revision as of 09:09, 16 November 2018

Draft Drawing

poziția meniului
Drafting → Drawing
Ateliere
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul

Descriere

Acest instrument vă permite să plasați obiecte selectate pe un svg Fila de desen. Dacă în document nu există sheet, va fi creat unul implicit. Acest instrument funcționează similar cu instrumentul Drawing View, dar este optimizat pentru obiectele Draft și poate face obiecte plane 2D cu o umplere a feței. De asemenea, se poate ocupa de câteva obiecte Draft personale, cum ar fi Dimension Dimensiuni și texte, pe care instrumentul Drawing View nu le poate gestiona.

Cum se folosește

  1. Selectați obiectele pe care doriți să le puneți pe o foaie de desen
  2. Apasă pe Draft Drawing button

Opţiuni

  • Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the Draft or Sketcher modules.
  • If the selected object is an Arch SectionPlane, this tool will create an additional view of that section plane.
  • In the same selection, add the page object you want to draw your objects to. If there is no existing page, a new one will be created. If you didn't select a page but there is at least one in the document, the first found one will be used to draw to.
  • If you selected an existing sheet, and the objects in the selection that are already on that sheet (for ex. for a "Rectangle" object there is already a "ViewRectangle" object on the sheet), they will be substitued. This allows you to simply select all the objects and send them to an existing page, which will simply be updated.

Properties

  • DateFill Style: For closed shapes, allows to specify one of the Default Draft fill styles, or use the shape color.
  • DateFont Size: Allows you to specify the font size of texts and dimensions.
  • DateLine Width: Allows you to specify the line width of viewed objects.

Scripting

The Draft Drawing tool can by used in macros and from the python console by using the following function:

Draft.makeDrawingView (object,page)
  • Adds a view of the given object to the given page.
  • Returns the created view object.

Example:

import FreeCAD,Draft
obj = FreeCAD.ActiveDocument.ActiveObject
page = FreeCAD.ActiveDocument.Page
Draft.makeDrawingView(obj,page)